File a case
curl --request POST \
--url https://api.decisionly.com/v2/issuer/cases/{case_id}/file \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"file_mode": "chargeback",
"queue_if_too_early": false
}
'import requests
url = "https://api.decisionly.com/v2/issuer/cases/{case_id}/file"
payload = {
"file_mode": "chargeback",
"queue_if_too_early": False
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({file_mode: 'chargeback', queue_if_too_early: false})
};
fetch('https://api.decisionly.com/v2/issuer/cases/{case_id}/file', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.decisionly.com/v2/issuer/cases/{case_id}/file",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'file_mode' => 'chargeback',
'queue_if_too_early' => false
]),
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.decisionly.com/v2/issuer/cases/{case_id}/file"
payload := strings.NewReader("{\n \"file_mode\": \"chargeback\",\n \"queue_if_too_early\": false\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.decisionly.com/v2/issuer/cases/{case_id}/file")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/json")
.body("{\n \"file_mode\": \"chargeback\",\n \"queue_if_too_early\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.decisionly.com/v2/issuer/cases/{case_id}/file")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Basic <encoded-value>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"file_mode\": \"chargeback\",\n \"queue_if_too_early\": false\n}"
response = http.request(request)
puts response.read_body{
"success": true
}v2 Cases
File a case
Files a case as a chargeback with the card network, bypassing workflow rule evaluation.
POST
/
v2
/
issuer
/
cases
/
{case_id}
/
file
File a case
curl --request POST \
--url https://api.decisionly.com/v2/issuer/cases/{case_id}/file \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"file_mode": "chargeback",
"queue_if_too_early": false
}
'import requests
url = "https://api.decisionly.com/v2/issuer/cases/{case_id}/file"
payload = {
"file_mode": "chargeback",
"queue_if_too_early": False
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({file_mode: 'chargeback', queue_if_too_early: false})
};
fetch('https://api.decisionly.com/v2/issuer/cases/{case_id}/file', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.decisionly.com/v2/issuer/cases/{case_id}/file",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'file_mode' => 'chargeback',
'queue_if_too_early' => false
]),
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.decisionly.com/v2/issuer/cases/{case_id}/file"
payload := strings.NewReader("{\n \"file_mode\": \"chargeback\",\n \"queue_if_too_early\": false\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.decisionly.com/v2/issuer/cases/{case_id}/file")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/json")
.body("{\n \"file_mode\": \"chargeback\",\n \"queue_if_too_early\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.decisionly.com/v2/issuer/cases/{case_id}/file")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Basic <encoded-value>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"file_mode\": \"chargeback\",\n \"queue_if_too_early\": false\n}"
response = http.request(request)
puts response.read_body{
"success": true
}Authorizations
Use your API key as the username. No password is required.
Path Parameters
Body
application/json
Deprecated. Passing 'chargeback' files a chargeback, regardless of your workflow rules. Passing 'auto' evaluates workflow rules. Use run_workflow instead, see Filing a Dispute.
Available options:
chargeback, auto Example:
"chargeback"
Deprecated. If true and the case is blocked only by a network waiting period (filing_too_early), the case is queued instead of rejected and is filed automatically once the waiting period has passed. Use run_workflow instead, see Filing a Dispute.
Example:
false
Response
Accepted. The filing process has been initiated. Also returned when queue_if_too_early is true and the case was queued for filing instead.